branch.h File Reference

`branch` - parameter-dependent sequence of field More...

Go to the source code of this file.

## Classes

class | __obranch< T, M >
class | __iobranch< T, M >
class | __branch_header< T, M >
class | __const_branch_header< T, M >
class | __const_branch_finalize< T, M >
class | branch_basic< T, M >
class | __branch_header< T, M >
class | __const_branch_header< T, M >
class | __const_branch_finalize< T, M >
class | __obranch< T, M >
class | __iobranch< T, M >

## Namespaces

| rheolef
| This file is part of Rheolef.

## Functions

template<class T , class M >
idiststream & | operator>> (idiststream &in, branch_basic< T, M > &b)
template<class T , class M >
odiststream & | operator<< (odiststream &out, const branch_basic< T, M > &b)
template<class T , class M >
odiststream & | operator<< (odiststream &os, __iobranch< T, M > m)
template<class T , class M >
idiststream & | operator>> (idiststream &is, __iobranch< T, M > m)

## Detailed Description

`branch` - parameter-dependent sequence of field

Definition in file branch.h.